// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: transport-order/model/report-files.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type ReportFiles struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DocId   string   `protobuf:"bytes,1,opt,name=docId,proto3" json:"docId,omitempty"`
	FileIds []string `protobuf:"bytes,2,rep,name=fileIds,proto3" json:"fileIds,omitempty"`
}

func (x *ReportFiles) Reset() {
	*x = ReportFiles{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_model_report_files_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReportFiles) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReportFiles) ProtoMessage() {}

func (x *ReportFiles) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_model_report_files_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReportFiles.ProtoReflect.Descriptor instead.
func (*ReportFiles) Descriptor() ([]byte, []int) {
	return file_transport_order_model_report_files_proto_rawDescGZIP(), []int{0}
}

func (x *ReportFiles) GetDocId() string {
	if x != nil {
		return x.DocId
	}
	return ""
}

func (x *ReportFiles) GetFileIds() []string {
	if x != nil {
		return x.FileIds
	}
	return nil
}

var File_transport_order_model_report_files_proto protoreflect.FileDescriptor

var file_transport_order_model_report_files_proto_rawDesc = []byte{
	0x0a, 0x28, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x72, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x66,
	0x69, 0x6c, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0e, 0x74, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x22, 0x3d, 0x0a, 0x0b, 0x52, 0x65,
	0x70, 0x6f, 0x72, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x64, 0x6f, 0x63,
	0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x64, 0x6f, 0x63, 0x49, 0x64, 0x12,
	0x18, 0x0a, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x09,
	0x52, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x73, 0x42, 0xb1, 0x01, 0x0a, 0x25, 0x63, 0x6f,
	0x6d, 0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x74, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x42, 0x0b, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x73,
	0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73,
	0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64,
	0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f,
	0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02,
	0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x1e, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74,
	0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x4d, 0x6f, 0x64, 0x65, 0x6c, 0xca, 0x02, 0x15, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72,
	0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_transport_order_model_report_files_proto_rawDescOnce sync.Once
	file_transport_order_model_report_files_proto_rawDescData = file_transport_order_model_report_files_proto_rawDesc
)

func file_transport_order_model_report_files_proto_rawDescGZIP() []byte {
	file_transport_order_model_report_files_proto_rawDescOnce.Do(func() {
		file_transport_order_model_report_files_proto_rawDescData = protoimpl.X.CompressGZIP(file_transport_order_model_report_files_proto_rawDescData)
	})
	return file_transport_order_model_report_files_proto_rawDescData
}

var file_transport_order_model_report_files_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_transport_order_model_report_files_proto_goTypes = []interface{}{
	(*ReportFiles)(nil), // 0: transportOrder.ReportFiles
}
var file_transport_order_model_report_files_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_transport_order_model_report_files_proto_init() }
func file_transport_order_model_report_files_proto_init() {
	if File_transport_order_model_report_files_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_transport_order_model_report_files_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReportFiles); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_transport_order_model_report_files_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_transport_order_model_report_files_proto_goTypes,
		DependencyIndexes: file_transport_order_model_report_files_proto_depIdxs,
		MessageInfos:      file_transport_order_model_report_files_proto_msgTypes,
	}.Build()
	File_transport_order_model_report_files_proto = out.File
	file_transport_order_model_report_files_proto_rawDesc = nil
	file_transport_order_model_report_files_proto_goTypes = nil
	file_transport_order_model_report_files_proto_depIdxs = nil
}
